function CheckFormUserReg(strFormName) 
{
	/*var check = /^[A-Za-z0-9\_]*$/;
	if (!check.test(strFormName.iptAccount.value))
	{
		alert(":-)  对不起!用户名" + "必须为英文,数字和下划线");
		strFormName.iptAccount.focus();
		return false;
	}*/

	if (strFormName.iptAccount.value.length < 2 || strFormName.iptAccount.value.length > 20 )
	{ 
		 alert(':-)  对不起!请您填入用户名(2-20字)'); 
		 strFormName.iptAccount.focus();	 
		 return false;
	}

	if (!CheckEmail(strFormName.iptEmail.value))
	{  
		 alert(':-)  对不起!请您填入正确的Email地址'); 
		 strFormName.iptEmail.focus();	 
		 return false;
	}

	if (strFormName.iptRealName.value.length < 2 || strFormName.iptRealName.value.length >20 )
	{
		 alert(':-)  对不起!请您填入正确的昵称(2-20字)'); 
		 strFormName.iptRealName.focus();	 
		 return false;
	}

	if (strFormName.iptPassword.value.length < 6 || strFormName.iptPassword.value.length >20  )
	{  
		 alert(':-)  对不起!请您填入密码(6-20字)'); 
		 strFormName.iptPassword.focus();	 
		 return false;
	}

	if (strFormName.iptPassword2.value.length < 6 || strFormName.iptPassword2.value.length >20  )
	{  
		 alert(':-)  对不起!请您确认密码(6-20字)'); 
		 strFormName.iptPassword2.focus();	 
		 return false;
	}

	if (strFormName.iptPassword2.value != strFormName.iptPassword.value)
	{
		alert(':-)  对不起!您的密码和确认密码不符'); 
		strFormName.iptPassword.focus();	 
		return false;
	}

	if (strFormName.iptQuestion.value.length < 1 || strFormName.iptQuestion.value.length > 50)
	{
		alert(':-)  对不起!请填入忘记密码后的提示问题'); 
		strFormName.iptQuestion.focus();	 
		return false;
	}

	if (strFormName.iptAnswer.value.length <1 || strFormName.iptAnswer.value.length > 50)
	{
		alert(':-)  对不起!请填入忘记密码后的提示问题的答案'); 
		strFormName.iptAnswer.focus();	 
		return false;
	}

	if (strFormName.selClass.value.length < 4 || strFormName.selClass.value.length > 20)
	{
		alert(':-)  对不起!请填入在校班级'); 
		strFormName.selClass.focus();	 
		return false;
	}

	submitonce(strFormName);

	return true;
}

function CheckFormUserLogin(strFormName) 
{
	if (strFormName.iptUserName.value.length < 2 || strFormName.iptUserName.value.length > 20 )
	{ 
		 alert(':-)  对不起!请您填入用户名(2-20字)'); 
		 strFormName.iptUserName.focus();	 
		 return false;
	}
/*
	var check = /^[A-Za-z0-9\_]*$/;
	if (!check.test(strFormName.iptUserName.value))
	{
		alert(":-)  对不起!用户名" + "必须为英文,数字和下划线");
		strFormName.iptUserName.focus();
		return false;
	}*/

	if (strFormName.iptPassword.value.length < 6 || strFormName.iptPassword.value.length > 20 )
	{ 
		 alert(':-)  对不起!请您填入用户密码(6-20字)'); 
		 strFormName.iptPassword.focus();	 
		 return false;
	}
	submitonce(strFormName);
	return true;
}

function CheckEmail(address) 
{
	if ((address == "") || (address.indexOf ('@') == -1)|| (address.indexOf ('.') == -1))
      return false;
  return true;
}